/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;

@ApiModel(description = "缺陷同步表")
public class MqSynchronizeTask {

    public static final String KEY_id = "id";
    public static final String KEY_taskInfo = "taskInfo";
    public static final String KEY_createdTime = "createdTime";

    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 36, message = "-id: 数据长度不能 > 36")
    private String id;
    /**
     * <br>
     */
    @ApiModelProperty("")
    @Size(max = 65535, message = "-taskInfo: 数据长度不能 > 65535")
    private String taskInfo;

    private Long createdTime;

    private String bugId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskInfo() {
        return taskInfo;
    }

    public void setTaskInfo(String taskInfo) {
        this.taskInfo = taskInfo;
    }

    public Long getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Long createdTime) {
        this.createdTime = createdTime;
    }

    public String getBugId() {
        return bugId;
    }

    public void setBugId(String bugId) {
        this.bugId = bugId;
    }

    public MqSynchronizeTask() {

    }

}
